#!/bin/bash
echo démarrage du serveur
apt show konsole > /dev/null;
if [ $? == 0 ]; then
    echo "konsole est installé"
    pkill "npm start"
    npm start  --prefix ./serveur/ &
    #sleep 1
    #mettre à jour le fichier python
    echo "voulez-vous mettre à jour le fichier python ?"
    while true; do
        read -p "$* [O/n]: " yn
        case $yn in
            [Oo]*) echo "Mise à jour du fichier python" ; scp ./python_test_ia/IA* ia@192.168.10.31:./; break;; 
            [Nn]*) echo "Pas de mise à jour du fichier python" ; break;;
        esac
    done
    #lancer le fichier python
    ssh ia@192.168.10.31 -f "pkill python; python3.10 ./IA.py" 
else
    echo "konsole n'est pas installé"
    echo "installation de konsole"
    sudo apt install konsole
fi